Subject: Re: bug#16028: 24.3.50; Latest build completely breaks my thumnail frames code

From: martin rudalics <[email-masked]>
Date: Fri, 13 Dec 2013 18:24:53 +0100

> What solution was that?  Can you state it again, in the context of
 > the thumb-frm.el code?  I believe I've tried everything I saw suggested
 > here, but I'm open to a fix for my code, of course.  I've been asking
 > for it.  The last suggestion I recall was to change the order, and I
 > reported the problems that caused.

To thumbify

(1) Save the current frame pixel size, font and scrollbar width.

(2) Set the new font size.

(3) Set the new scrollbar width.

(4) Set the new pixel size to some calculated from the one saved in
     (1) and the scale factor used in (2).

To dethumbify

(5) Set the new font size to the one saved in (1).

(6) Set the new scrollbar width to the one saved in (1).

(7) Set the new frame pixel size to the one saved in (1).

martin